#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Formatumwandlungen.py

Umwandlung JD -> Kalenderdatum
Umwandlung Kalenderdatum -> JD
Umwandlung hexagesimale RA und DEC in float
Umwandlung RA und DEC in float in hexagesimale RA und DEC

Created on Tue Jan 25 12:43:37 2022

@author: lothar
"""

from PyAstronomy import pyasl
import datetime

print("Auswahl der Aufgabe:")

typ = input(
    "Wenn Sie ein Julianisches Datum in Kalenderdaten umwandeln wollen,\n\
 geben Sie JD ein: \n\
Wenn Sie ein Kalenderdatum in Julianisches Datum umwandeln wollen geben sie\
 KD ein: \n\
Wenn Sie RA und DEC in hexagesimaler Form in float umwandeln wollen, geben Sie \
    RA ein: \n\
Wenn Sie RA und DEC von float in hexagesimale Form umwandeln möchten, geben Sie \
    DEC ein: \n\
"
)

if typ == "JD":
    # Convert JD to calendar date
    jd = float(input("Eingabe des JD: "))
    print(
        "year = %4d, month = %2d, day = %2d, hour = %5.3f" % tuple(
            pyasl.daycnv(jd)),
        end="",
    )
    print()
    print(
        "year = %4d, month = %2d, day = %2d, hour = %2d, minute = %2d, \
    seconds = %2d, microseconds = %6d"
        % tuple(pyasl.daycnv(jd, mode="dtlist")),
        end="",
    )
    print()
    dt = pyasl.daycnv(jd, mode="dt")
    print("Datetime object: ", dt)
    print()

if typ == "KD":
    # Convert calendar date to JD
    kd = input(
        "Geben Sie das Kalenderdatum ein in der Form yyyy,mm,dd,hh,mm,ss: \n")
    year, month, day, hour, minutes, sec = kd.split(",")
    year = int(year)
    month = int(month)
    day = int(day)
    hour = int(hour)
    minutes = int(minutes)
    sec = int(sec)
    dt = datetime.datetime(year, month, day, hour, minutes, sec)
    JD = pyasl.jdcnv(dt)
    print("Corresponding Julian date: ", JD)
    RJD = pyasl.juldate(dt)
    print("Corresponding reduced Julian date: ", RJD)
    print()

if typ == "RA":
    # Obtain decimal representation
    # The coordinate string. Valid formats are, e.g., “00 05 08.83239 +67 50 24.0135”
    # or “00:05:08.83239 -67:50:24.0135”.
    # Spaces or colons are allowed as separators for the individual components
    # of the coordinates.
    radec = input(
        "Geben Sie RA und DEC in hexagesimaler Form ein. \n\
        Wie 00 05 08.83239 +67 50 24.01: \n"
    )
    print("Eingegebene Koordinaten : ", radec)
    # Wandele sexagesimale Koordinaten in dezimale um
    ra, dec = pyasl.coordsSexaToDeg(radec)
    print("Coordinates  [deg]: %010.6f  %+09.6f" % (ra, dec))

if typ == "DEC":
    ra = float(input("Geben Sie RA als float ein: "))
    dec = float(input("Geben Sie DEC als float ein: "))
    # Convert dezimal into sexagesimal representation
    print("RA, DEC", ra, dec)
    sexa = pyasl.coordsDegToSexa(ra, dec)
    print("Coordinates  [sexa]: ", sexa)
